﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class MainPage : ContentPage
    {
        ViewModel viewModel;
        public MainPage()
        {
            InitializeComponent();
            viewModel = new ViewModel();
            this.BindingContext = viewModel;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            viewModel.AreaSeriesData.Add(new Model(new DateTime(2019, 10, 02, 10, 30, 00), 34));
        }
    }

    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<Model> AreaSeriesData { get; set; }
        
        public ViewModel()
        {
            AreaSeriesData = new ObservableCollection<Model>();
            DateTime date = new DateTime(2019, 10, 02, 01, 00, 00);
            Random rand = new Random();

            for(int i = 0; i < 23; i++)
            {
                AreaSeriesData.Add(new Model(date.AddHours(i), rand.Next(10, 50)));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class Model
    {
        public DateTime Date { get; set; }

        public double Value { get; set; }
        public Model(DateTime date, double value)
        {
            Date = date;
            Value = value;
        }
    }
}
